package com.dgtly.system.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.dgtly.common.annotation.Excel;
import com.dgtly.common.core.domain.BaseEntity;

import java.util.Date;

/**
 * 弹框点赞日志对象 alert_upvote_log
 * 
 * @author dgtly
 * @date 2024-12-24
 */
@Data
public class AlertUpvoteLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long alertUpvoteId;

    /** 弹框配置id */
//    @Excel(name = "弹框配置id")
    private Long alertId;

    /** 是否删除 */
//    @Excel(name = "是否删除")
    private Long isDelete;

    /** 用户id */
//    @Excel(name = "用户id")
    private Long userId;
    /** 组织架构 */
//    @Excel(name = "组织架构")
    private String orgName;
    /** 弹框标题 */
    @Excel(name = "弹框标题")
    private String alertTitle;
    /** 用户名称 */
    @Excel(name = "用户姓名")
    private String userName;
    /** 登录名称 */
    @Excel(name = "用户账号")
    private String loginName;
    /** 岗位 */
    @Excel(name = "岗位")
    private String postName;
    /** 员工号 */
    @Excel(name = "员工号")
    private String sapEmployeeId;
    /** 点赞状态。0: 无；1：赞；2：踩 */
    @Excel(name = "点赞状态")
    private String statusName;
    /** 公司 */
    @Excel(name = "公司")
    private String companyName;
    /** 大区 */
    @Excel(name = "大区")
    private String officeName;
    /** 销售部 */
    @Excel(name = "销售部")
    private String subOfficeName;
    @Excel(name = "操作时间")
    private String updateTimeStr;
    /** 级别 */
    private String salesLevel;

    /** 弹框内容 */
//    @Excel(name = "弹框内容")
    private String alertContent;

    /** 弹框图片地址 */
//    @Excel(name = "弹框图片url")
    private String photoUrl;

    /** 点赞状态。0: 无；1：赞；2：踩 */
//    @Excel(name = "点赞状态。0: 无；1：赞；2：踩")
    private Integer status;
    //用于查询
    private Date startTime;
    private Date endTime;

    public void setAlertUpvoteId(Long alertUpvoteId) 
    {
        this.alertUpvoteId = alertUpvoteId;
    }

    public Long getAlertUpvoteId() 
    {
        return alertUpvoteId;
    }
    public void setAlertId(Long alertId) 
    {
        this.alertId = alertId;
    }

    public Long getAlertId() {
        return alertId;
    }

    public Long getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(Long isDelete) {
        this.isDelete = isDelete;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }
    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getAlertContent() {
        return alertContent;
    }

    public void setAlertContent(String alertContent) {
        this.alertContent = alertContent;
    }

    public String getPhotoUrl() {
        return photoUrl;
    }

    public void setPhotoUrl(String photoUrl) {
        this.photoUrl = photoUrl;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getStatusName() {
        return statusName;
    }

    public void setStatusName(String statusName) {
        this.statusName = statusName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("alertUpvoteId", getAlertUpvoteId())
            .append("alertId", getAlertId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("isDelete", getIsDelete())
            .append("userId", getUserId())
            .append("status", getStatus())
            .append("loginName", getLoginName())
            .append("userName", getUserName())
            .append("alertContent", getAlertContent())
            .append("photoUrl", getPhotoUrl())
            .append("statusName", getStatusName())
            .toString();
    }
}
